diff --git a/tests/test_astech.py b/tests/test_astech.py
index 5833a69e..74bf1b02 100644
--- a/tests/test_astech.py
+++ b/tests/test_astech.py
@@ -18,18 +18,18 @@
 
 import mock
 import pytest
-import utils
 from django.urls import reverse
 from requests import Request
 from requests.exceptions import ConnectionError
 
+import tests.utils
 from passerelle.apps.astech.models import ASTech
 from passerelle.utils.jsonresponse import APIError
 
 
 @pytest.fixture
 def setup(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         ASTech.objects.create(
             slug='test',
             base_url='https://astech.example.net/app.php/',
@@ -82,7 +82,7 @@ POSITIONS_RESPONSE = """
 
 @mock.patch("passerelle.utils.Request.request")
 def test_connections(mocked_request, app, setup):
-    mocked_request.return_value = utils.FakedResponse(content=CONNECTION_RESPONSE, status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content=CONNECTION_RESPONSE, status_code=200)
     endpoint = reverse(
         "generic-endpoint",
         kwargs={"connector": "astech", "slug": setup.slug, "endpoint": "connections"},
@@ -104,7 +104,7 @@ def test_connections(mocked_request, app, setup):
     assert response.json["data"]["default"] == "TEST"
 
     # bad response
-    mocked_request.return_value = utils.FakedResponse(
+    mocked_request.return_value = tests.utils.FakedResponse(
         content='{"msg": "not found"}', status_code=404, reason="Not Found"
     )
     response = app.get(endpoint)
@@ -113,14 +113,16 @@ def test_connections(mocked_request, app, setup):
     assert response.json["err_desc"] == "AS-TECH response: 404 Not Found"
     assert response.json["data"]["error"]["status"] == 404
     assert response.json["data"]["error"]["content"]["msg"] == "not found"
-    mocked_request.return_value = utils.FakedResponse(content="crash", status_code=500, reason="Crashhhh")
+    mocked_request.return_value = tests.utils.FakedResponse(
+        content="crash", status_code=500, reason="Crashhhh"
+    )
     response = app.get(endpoint)
     assert response.json["err"] == 1
     assert response.json["err_class"].endswith("APIError")
     assert response.json["err_desc"] == "AS-TECH response: 500 Crashhhh"
     assert response.json["data"]["error"]["status"] == 500
     assert response.json["data"]["error"]["content"] == "crash"
-    mocked_request.return_value = utils.FakedResponse(content="not json", status_code=200, reason="OK")
+    mocked_request.return_value = tests.utils.FakedResponse(content="not json", status_code=200, reason="OK")
     response = app.get(endpoint)
     assert response.json["err"] == 1
     assert response.json["err_class"].endswith("APIError")
@@ -135,8 +137,8 @@ def test_connections(mocked_request, app, setup):
 @mock.patch("passerelle.utils.Request.request")
 def test_authorization(mocked_request, app, setup):
     mocked_request.side_effect = [
-        utils.FakedResponse(content=CONNECTION_RESPONSE, status_code=200),
-        utils.FakedResponse(content=AUTH_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(content=CONNECTION_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(content=AUTH_RESPONSE, status_code=200),
     ]
     endpoint = reverse(
         "generic-endpoint",
@@ -166,7 +168,7 @@ def test_services(mocked_auth, mocked_request, app, setup):
         kwargs={"connector": "astech", "slug": setup.slug, "endpoint": "services"},
     )
 
-    mocked_request.return_value = utils.FakedResponse(content=SERVICES_RESPONSE, status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content=SERVICES_RESPONSE, status_code=200)
     response = app.get(endpoint)
     assert mocked_request.call_count == 1
     assert mocked_request.call_args[0][0] == 'post'
@@ -190,7 +192,7 @@ def test_companies(mocked_auth, mocked_request, app, setup):
         kwargs={"connector": "astech", "slug": setup.slug, "endpoint": "companies"},
     )
 
-    mocked_request.return_value = utils.FakedResponse(content=COMPANIES_RESPONSE, status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content=COMPANIES_RESPONSE, status_code=200)
     response = app.get(endpoint)
     assert mocked_request.call_count == 1
     assert mocked_request.call_args[0][0] == 'post'
@@ -214,8 +216,8 @@ def test_labels(mocked_auth, mocked_request, app, setup):
     )
 
     mocked_request.side_effect = [
-        utils.FakedResponse(content=COMPANY_RESPONSE, status_code=200),
-        utils.FakedResponse(content=LABELS_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(content=COMPANY_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(content=LABELS_RESPONSE, status_code=200),
     ]
     response = app.get(endpoint, status=200)
     assert mocked_request.call_count == 2
@@ -233,7 +235,7 @@ def test_labels(mocked_auth, mocked_request, app, setup):
     ]
 
     mocked_request.reset_mock(side_effect=True)
-    mocked_request.return_value = utils.FakedResponse(content=LABELS_RESPONSE, status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content=LABELS_RESPONSE, status_code=200)
     response = app.get(endpoint + '?company=42', status=200)
     assert mocked_request.call_count == 1
     assert mocked_request.call_args[0][0] == 'post'
@@ -253,8 +255,8 @@ def test_parameter(mocked_auth, mocked_request, app, setup):
     )
 
     mocked_request.side_effect = [
-        utils.FakedResponse(content=COMPANY_RESPONSE, status_code=200),
-        utils.FakedResponse(content=PARAMETER_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(content=COMPANY_RESPONSE, status_code=200),
+        tests.utils.FakedResponse(content=PARAMETER_RESPONSE, status_code=200),
     ]
     response = app.get(endpoint + '?name=LIBELDEMDEF', status=200)
     assert mocked_request.call_count == 2
@@ -266,7 +268,7 @@ def test_parameter(mocked_auth, mocked_request, app, setup):
     assert response.json['data']['LIBELDEMDEF'] == 'O'
 
     mocked_request.reset_mock(side_effect=True)
-    mocked_request.return_value = utils.FakedResponse(content=PARAMETER_RESPONSE, status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content=PARAMETER_RESPONSE, status_code=200)
     response = app.get(endpoint + '?name=LIBELDEMDEF&company=00', status=200)
     assert mocked_request.call_count == 1
     assert mocked_request.call_args[0][0] == 'get'
@@ -286,7 +288,7 @@ def test_create_demand(mocked_auth, mocked_request, app, setup):
         kwargs={"connector": "astech", "slug": setup.slug, "endpoint": "create-demand"},
     )
 
-    mocked_request.return_value = utils.FakedResponse(content=CREATE_DEMAND_RESPONSE, status_code=201)
+    mocked_request.return_value = tests.utils.FakedResponse(content=CREATE_DEMAND_RESPONSE, status_code=201)
     demand = {
         'company': '99',
         'service': '11',
@@ -325,7 +327,7 @@ def test_create_demand(mocked_auth, mocked_request, app, setup):
     assert response.json['data']['demand_id'] == '000000000001234'
 
     # mock invalid AS-TECH response
-    mocked_request.return_value = utils.FakedResponse(content='{"foo":"bar"}', status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content='{"foo":"bar"}', status_code=200)
     response = app.post_json(endpoint, params=demand, status=200)
     assert mocked_request.call_count == 2
     assert response.json['err'] == 1
@@ -342,7 +344,7 @@ def test_create_demand(mocked_auth, mocked_request, app, setup):
         "generic-endpoint",
         kwargs={"connector": "astech", "slug": setup.slug, "endpoint": "add-document"},
     )
-    mocked_request.return_value = utils.FakedResponse(content=ADD_DOCUMENT_RESPONSE, status_code=201)
+    mocked_request.return_value = tests.utils.FakedResponse(content=ADD_DOCUMENT_RESPONSE, status_code=201)
     document = {
         'demand_id': '000000000001234',
         'title': 'test document',
@@ -373,7 +375,7 @@ def test_positions(mocked_auth, mocked_request, app, setup):
         "generic-endpoint",
         kwargs={"connector": "astech", "slug": setup.slug, "endpoint": "demand-position"},
     )
-    mocked_request.return_value = utils.FakedResponse(content=POSITION_RESPONSE, status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content=POSITION_RESPONSE, status_code=200)
     response = app.get(endpoint + '?demand_id=000000000001234', status=200)
     assert mocked_request.call_count == 1
     assert mocked_request.call_args[0][0] == 'get'
@@ -388,7 +390,7 @@ def test_positions(mocked_auth, mocked_request, app, setup):
     }
 
     # invalid AS-TECH response
-    mocked_request.return_value = utils.FakedResponse(content='{"foo":"bar"}', status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content='{"foo":"bar"}', status_code=200)
     response = app.get(endpoint + '?demand_id=000000000001234', status=200)
     assert mocked_request.call_count == 2
     assert response.json['err'] == 1
@@ -403,7 +405,7 @@ def test_positions(mocked_auth, mocked_request, app, setup):
         "generic-endpoint",
         kwargs={"connector": "astech", "slug": setup.slug, "endpoint": "demand-all-positions"},
     )
-    mocked_request.return_value = utils.FakedResponse(content=POSITIONS_RESPONSE, status_code=200)
+    mocked_request.return_value = tests.utils.FakedResponse(content=POSITIONS_RESPONSE, status_code=200)
     response = app.get(endpoint, status=200)
     assert mocked_request.call_count == 1
     assert mocked_request.call_args[0][0] == 'get'
diff --git a/tests/test_astregs.py b/tests/test_astregs.py
index 8cd24732..cab28cb4 100644
--- a/tests/test_astregs.py
+++ b/tests/test_astregs.py
@@ -6,12 +6,12 @@ import re
 
 import mock
 import pytest
-import utils
 from django.utils.encoding import force_bytes, force_str, force_text
 from django.utils.http import urlencode
 from requests import Request
 from requests.exceptions import ConnectionError
 
+import tests.utils
 from passerelle.apps.astregs.models import AstreGS, Link
 
 BASE_URL = 'https://test-ws-astre-gs.departement06.fr/axis2/services/'
@@ -57,7 +57,7 @@ def contact_side_effect(wsdl_url, **kwargs):
 
 @pytest.fixture
 def connector(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         AstreGS,
         title='Test',
         slug='test',
diff --git a/tests/test_atos_genesys.py b/tests/test_atos_genesys.py
index d48533cc..90737854 100644
--- a/tests/test_atos_genesys.py
+++ b/tests/test_atos_genesys.py
@@ -3,9 +3,9 @@
 import os
 
 import pytest
-import utils
 from django.utils.http import urlencode
 
+import tests.utils
 from passerelle.apps.atos_genesys.models import Link, Resource
 
 FAKE_URL = 'https://sirus.fr/'
@@ -13,7 +13,7 @@ FAKE_URL = 'https://sirus.fr/'
 
 @pytest.fixture
 def genesys(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         Resource, title='Test 1', slug='test1', description='Connecteur de test', webservice_base_url=FAKE_URL
     )
 
@@ -23,7 +23,7 @@ def mock_codifications_ok():
     response = open(
         os.path.join(os.path.dirname(__file__), 'data', 'genesys_select_codifications.xml')
     ).read()
-    with utils.mock_url(FAKE_URL, response) as mock:
+    with tests.utils.mock_url(FAKE_URL, response) as mock:
         yield mock
 
 
@@ -43,7 +43,7 @@ def test_base_url_normalization(db):
 
 
 def test_ws_categories(app, genesys, mock_codifications_ok):
-    url = utils.generic_endpoint_url('atos-genesys', 'codifications', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'codifications', slug=genesys.slug)
     response = app.get(url)
     assert response.json['err'] == 0
     assert response.json['data']
@@ -51,7 +51,7 @@ def test_ws_categories(app, genesys, mock_codifications_ok):
 
 
 def test_ws_codifications(app, genesys, mock_codifications_ok):
-    url = utils.generic_endpoint_url('atos-genesys', 'codifications', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'codifications', slug=genesys.slug)
     url += '/MOT_APA/'
     response = app.get(url)
     assert response.json['err'] == 0
@@ -64,7 +64,7 @@ def test_ws_codifications_failure(app, genesys, mock_500):
 
     cache.clear()
 
-    url = utils.generic_endpoint_url('atos-genesys', 'codifications', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'codifications', slug=genesys.slug)
     url += '/MOT_APA/'
     response = app.get(url)
     assert response.json['err'] == 1
@@ -77,8 +77,8 @@ RESPONSE_UNKNOWN_LOGIN = '''<return><ROWSET><ROW>
 
 
 def test_ws_link_unknown_appairage(app, genesys):
-    url = utils.generic_endpoint_url('atos-genesys', 'link', slug=genesys.slug)
-    with utils.mock_url(FAKE_URL, RESPONSE_UNKNOWN_LOGIN):
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'link', slug=genesys.slug)
+    with tests.utils.mock_url(FAKE_URL, RESPONSE_UNKNOWN_LOGIN):
         response = app.post(
             url
             + '?'
@@ -99,9 +99,9 @@ RESPONSE_CREATED = '''<return><ROWSET><ROW>
 
 
 def test_ws_link_created(app, genesys):
-    url = utils.generic_endpoint_url('atos-genesys', 'link', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'link', slug=genesys.slug)
     assert Link.objects.count() == 0
-    with utils.mock_url(FAKE_URL, RESPONSE_CREATED):
+    with tests.utils.mock_url(FAKE_URL, RESPONSE_CREATED):
         response = app.post(
             url
             + '?'
@@ -115,8 +115,8 @@ def test_ws_link_created(app, genesys):
     assert response.json['new']
     assert Link.objects.filter(name_id='zob', id_per='789', resource=genesys).count() == 1
 
-    with utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
-        dossiers_url = utils.generic_endpoint_url('atos-genesys', 'dossiers', slug=genesys.slug)
+    with tests.utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
+        dossiers_url = tests.utils.generic_endpoint_url('atos-genesys', 'dossiers', slug=genesys.slug)
         response = app.get(
             dossiers_url
             + '?'
@@ -127,7 +127,7 @@ def test_ws_link_created(app, genesys):
             )
         )
 
-    url = utils.generic_endpoint_url('atos-genesys', 'unlink', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'unlink', slug=genesys.slug)
     response = app.post(
         url
         + '?'
@@ -151,8 +151,8 @@ RESPONSE_SELECT_USAGER = open(
 def test_ws_dossiers(app, genesys):
     link = Link.objects.create(resource=genesys, name_id='zob', id_per='1234')
 
-    url = utils.generic_endpoint_url('atos-genesys', 'dossiers', slug=genesys.slug)
-    with utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'dossiers', slug=genesys.slug)
+    with tests.utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
         response = app.get(
             url
             + '?'
@@ -177,7 +177,7 @@ def test_ws_dossiers(app, genesys):
 
     link2 = Link.objects.create(resource=genesys, name_id='zob', id_per='4567')
 
-    with utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
+    with tests.utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
         response = app.get(
             url
             + '?'
@@ -199,7 +199,7 @@ def test_ws_dossiers(app, genesys):
         assert response.json['data'][1]['id'] == str(link2.id)
         assert response.json['data'][1]['text'] == u'%s - John DOE' % link2.id_per
 
-    with utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
+    with tests.utils.mock_url(FAKE_URL, RESPONSE_SELECT_USAGER):
         response = app.get(
             url
             + '?'
@@ -305,12 +305,12 @@ RESPONSE_SELECT_USAGER_NO_CONTACTS = '''<?xml version="1.0"?>
 
 
 def test_ws_search(app, genesys):
-    url = utils.generic_endpoint_url('atos-genesys', 'search', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'search', slug=genesys.slug)
 
-    with utils.mock_url(
+    with tests.utils.mock_url(
         FAKE_URL + 'WSUsagerPublik/services/PublikService/chercheBeneficiaire', RESPONSE_SEARCH
     ):
-        with utils.mock_url(
+        with tests.utils.mock_url(
             FAKE_URL + 'WSUsagerPublik/services/PublikService/selectUsager', RESPONSE_SELECT_USAGER
         ):
             response = app.get(
@@ -360,10 +360,10 @@ def test_ws_search(app, genesys):
         },
     ]
 
-    with utils.mock_url(
+    with tests.utils.mock_url(
         FAKE_URL + 'WSUsagerPublik/services/PublikService/chercheBeneficiaire', RESPONSE_SEARCH
     ):
-        with utils.mock_url(
+        with tests.utils.mock_url(
             FAKE_URL + 'WSUsagerPublik/services/PublikService/selectUsager', RESPONSE_SELECT_USAGER
         ):
             response = app.get(
@@ -381,10 +381,10 @@ def test_ws_search(app, genesys):
             assert response.json['err'] == 1
             assert response.json['err_desc'] == 'not-found'
 
-    with utils.mock_url(
+    with tests.utils.mock_url(
         FAKE_URL + 'WSUsagerPublik/services/PublikService/chercheBeneficiaire', RESPONSE_SEARCH
     ):
-        with utils.mock_url(
+        with tests.utils.mock_url(
             FAKE_URL + 'WSUsagerPublik/services/PublikService/selectUsager', RESPONSE_SELECT_USAGER
         ):
             response = app.get(
@@ -401,10 +401,10 @@ def test_ws_search(app, genesys):
             assert response.json['err'] == 1
             assert response.json['err_desc'] == 'not-found'
 
-    with utils.mock_url(
+    with tests.utils.mock_url(
         FAKE_URL + 'WSUsagerPublik/services/PublikService/chercheBeneficiaire', RESPONSE_SEARCH
     ):
-        with utils.mock_url(
+        with tests.utils.mock_url(
             FAKE_URL + 'WSUsagerPublik/services/PublikService/selectUsager',
             RESPONSE_SELECT_USAGER_NO_CONTACTS,
         ):
@@ -424,10 +424,10 @@ def test_ws_search(app, genesys):
 
 
 def test_ws_link_by_id_per(app, genesys):
-    url = utils.generic_endpoint_url('atos-genesys', 'link-by-id-per', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'link-by-id-per', slug=genesys.slug)
 
     assert Link.objects.count() == 0
-    with utils.mock_url(
+    with tests.utils.mock_url(
         FAKE_URL + 'WSUsagerPublik/services/PublikService/selectUsager', RESPONSE_SELECT_USAGER
     ):
         response = app.post(
@@ -448,12 +448,12 @@ def test_ws_link_by_id_per(app, genesys):
     assert data['new']
     assert data['link_id'] == link.pk
 
-    url = utils.generic_endpoint_url('atos-genesys', 'search', slug=genesys.slug)
+    url = tests.utils.generic_endpoint_url('atos-genesys', 'search', slug=genesys.slug)
 
-    with utils.mock_url(
+    with tests.utils.mock_url(
         FAKE_URL + 'WSUsagerPublik/services/PublikService/chercheBeneficiaire', RESPONSE_SEARCH
     ):
-        with utils.mock_url(
+        with tests.utils.mock_url(
             FAKE_URL + 'WSUsagerPublik/services/PublikService/selectUsager', RESPONSE_SELECT_USAGER
         ):
             response = app.get(
diff --git a/tests/test_availability.py b/tests/test_availability.py
index 2cf8b2c3..e41aa602 100644
--- a/tests/test_availability.py
+++ b/tests/test_availability.py
@@ -1,9 +1,9 @@
 # -*- coding: utf-8 -*-
 
 import pytest
-import utils
 from httmock import HTTMock, all_requests
 
+import tests.utils
 from passerelle.apps.feeds.models import Feed
 
 FEED_EXAMPLE = u"""<?xml version="1.0" encoding="UTF-8"?>
@@ -42,7 +42,7 @@ FEED_EXAMPLE = u"""<?xml version="1.0" encoding="UTF-8"?>
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(Feed.objects.create(slug='test', url='http://example.net/'))
+    return tests.utils.setup_access_rights(Feed.objects.create(slug='test', url='http://example.net/'))
 
 
 @all_requests
